Skip to main content
POST
/
api
/
public
/
v1
/
me
/
partner
/
oauth2-clients
/
{client_id}
/
rotate-secret
Rotate a confidential OAuth2 client's secret
curl --request POST \
  --url https://api.flexslot.gg/api/public/v1/me/partner/oauth2-clients/{client_id}/rotate-secret \
  --header 'Authorization: Bearer <token>'
{
  "client": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "client_id": "<string>",
    "application_name": "<string>",
    "application_url": "<string>",
    "application_logo_url": "<string>",
    "privacy_policy_url": "<string>",
    "tos_url": "<string>",
    "redirect_uris": [
      "<string>"
    ],
    "allowed_scopes": [
      "<string>"
    ],
    "grant_types": [
      "<string>"
    ],
    "require_pkce": true,
    "dpop_bound_access_tokens": true,
    "secret_rotated_at": "2023-11-07T05:31:56Z",
    "last_used_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "plaintext_client_secret": "<string>",
  "secret_rotated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

User-issued personal access token (format: flx_pat_).

Path Parameters

client_id
string
required

Response

200 - application/json
client
object
required
plaintext_client_secret
string
required
secret_rotated_at
string<date-time> | null
required